﻿using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;
using System.Linq;
using System.Windows.Input;

namespace WpfApp1
{
    public class ArtikelListeViewModel : ViewModelBase
    {

        private ObservableCollection<ArtikelViewModel> _artikelListe;

        public ObservableCollection<ArtikelViewModel> ArtikelListe
        {
            get { return _artikelListe; }
            set {
                    _artikelListe = value;
                    RaisePropertyChanged();
                }
        }

        private ObservableCollection<ArtikelViewModel> _selectedArtikelDetailListe;

        public ObservableCollection<ArtikelViewModel> SelectedArtikelDetailListe
        {
            get { return _selectedArtikelDetailListe; }
            set {
                    _selectedArtikelDetailListe = value;
                    RaisePropertyChanged();
                }
        }



        private ArtikelViewModel _selectedDetailArtikel;

        public ArtikelViewModel SelectedDetailArtikel
        {
            get { return _selectedDetailArtikel; }
            set
            {
                _selectedDetailArtikel = value;
                RaisePropertyChanged();
            }
        }


        public ICommand ArtikelListeSelectionChangedCommand { get; set; }

        public ArtikelListeViewModel(DataTable dataTable)
        {
            ArtikelListe = Helpers.DataTableToList<ArtikelViewModel>(dataTable);
            SelectedArtikelDetailListe = new ObservableCollection<ArtikelViewModel> {ArtikelListe.First()};
            SelectedDetailArtikel = SelectedArtikelDetailListe.First();       
            
            ArtikelListeSelectionChangedCommand = new RelayCommand<object>(p => ArtikelListSelectionChanged(p));
        }

        private void ArtikelListSelectionChanged(object param)
        {
            SelectedArtikelDetailListe = new ObservableCollection<ArtikelViewModel>( ArtikelListe.Where(a => a.IsSelected).ToList());
            if (SelectedArtikelDetailListe.Count > 0)
            {
                SelectedDetailArtikel = SelectedArtikelDetailListe.First();
            }
        }

              
    }
}
