﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp1
{
    /// <summary>
    /// Dieses ViewModel representiert einfach den Arbeitsplatz. Also das MainWindow. Im Grunde bildet ein ViewModel ja immer einen VIEW ab.
    /// So auch ein View welches nicht mit Daten oder CRUD arbeitet sondern einfach nur so da ist und einen Arbeitsbereich definiert.
    /// </summary>
    public class MainWorkspaceViewModel : ViewModelBase
    {

        public MainWorkspaceViewModel()
        {
            Artikeluebersicht = new ArtikelListeViewModel(Helpers.GetDataTableWithRandomData());
            Footer = new FooterViewModel();
            Footer.LastMessage = $"Erfolgreich {Artikeluebersicht.ArtikelListe?.Count.ToString()} Artikel initialisiert";
        }

        private ArtikelListeViewModel _artikeluebersicht;

        public ArtikelListeViewModel Artikeluebersicht
        {
            get { return _artikeluebersicht; }
            set {
                _artikeluebersicht = value; 
                RaisePropertyChanged();
                }
        }

        private FooterViewModel _footer;

        public FooterViewModel Footer
        {
            get { return _footer; }
            set { 
                _footer = value; 
                RaisePropertyChanged();
                }
        }




    }
}
