﻿using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace WpfApp1
{
    public abstract class ViewModelBase : INotifyPropertyChanged
    {
        public void RaisePropertyChanged([CallerMemberName] string propName=null)
        {

            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propName));
            }                
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
    
}
